#### D.13.2.18 equations

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  equations(c); c cone
  equations(p); p polytope

Return:
  bigintmat, defining equations of c resp p

Note:
  neither unique nor complete, unless c resp p in canonical form

Example:

    LIB "gfan.lib";
    intmat M1[2][2]=
    1,0,
    0,1;
    cone c1=coneViaPoints(M1);
    bigintmat E1=equations(c1);
    print(E1);
    ==>
    intmat M2[1][2]=
    1,0;
    cone c2=coneViaPoints(M2);
    bigintmat E2=equations(c2);
    print(E2);
    ==> 0,-1

User manual for Singular version 4.4.1, 2025, generated by texi2html.